tbb::flow::interface8::receiver< dependency_msg< T, Factory > > Class Template Referenceabstract
Inheritance diagram for tbb::flow::interface8::receiver< dependency_msg< T, Factory > >:

## Public Types

typedef sender< dependency_msg < T, Factory > > | dependency_predecessor_type
| The predecessor type for this node.
typedef proxy_dependency_receiver< T, Factory > | proxy

## Public Member Functions

bool | try_put (const T &t)
| Put an item to the receiver.
virtual task * | try_put_task (const dependency_msg< T, Factory > &)=0
| Put an item to the receiver.
virtual bool | register_predecessor (dependency_predecessor_type &)
| Add a predecessor to the node.
virtual bool | remove_predecessor (dependency_predecessor_type &)
| Remove a predecessor from the node.
ordinary_receiver & | ordinary_receiver ()

## Protected Member Functions

virtual void | reset_receiver (reset_flags f=rf_reset_protocol)=0
| put receiver back in initial state
virtual bool | is_continue_receiver ()

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.